# Datagram class

Datagram package. Data send to and received from datagram sockets contains the internet address and port of the destination or source togeter with the data.

## Constructors

Datagram(List<int> data, InternetAddress address, int port)

## Properties

address ↔ InternetAddress
  read / write
data ↔ List<int>
  read / write
port ↔ int
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited